header img {
  max-height: 50px;
}

@media (max-width: 767.98px) {
  header .btn {
    width: 100%;
  }

  header .border-md-start {
    border-left: none !important;
    padding-left: 0 !important;
  }
}

.text-warning {
    --bs-text-opacity: 1;
    color: rgba(var(--bs-warning-rgb), var(--bs-text-opacity)) !important;
    font-size: 4rem;
}

.hero-simulador {
  background-color: #0098db; /* ou a cor do fundo azul exato */
}

.btn-orange {
  background-color: #d86f0d;
  color: white;
  transition: 0.3s;
}

.btn-orange:hover {
  background-color: #b95d06;
  color: white;
}

.form-simulador input[type="range"] {
  accent-color: #0098db;
}


.tabela-planos {
  border: 2px solid #007bff;
  border-radius: 12px;
  overflow: hidden;
}

.tabela-planos th,
.tabela-planos td {
  border: 1px solid #007bff;
  vertical-align: middle;
  padding: 16px;
}

.tabela-planos thead th {
  background-color: #0098db;
  color: #fff;
  font-weight: bold;
}

@media (max-width: 767.98px) {
  .melhores-planos .card {
    border-radius: 16px;
  }

  .melhores-planos .card h5 {
    font-size: 1.2rem;
  }
}


.video-thumb {
  position: relative;
}

.video-thumb img {
  display: block;
  width: 100%;
  height: auto;
}

.video-play {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  font-size: 3rem;
  color: rgba(255, 255, 255, 0.85);
  transition: 0.3s;
}

.video-thumb:hover .video-play {
  color: #fff;
  transform: translate(-50%, -50%) scale(1.1);
}


footer a {
  transition: 0.3s;
}

footer a:hover {
  color: #0dcaf0;
}

/* ======== FONT GLOBAL ======== */
body {
  font-family: 'Montserrat', sans-serif;
}

/* ======== TÍTULOS E TEXTOS ======== */
h1, h2, h3, h4, h5, h6 {
  font-family: 'Montserrat', sans-serif;
  font-weight: 700;
  margin-bottom: 0.75rem;
}

p {
  font-weight: 400;
  line-height: 1.6;
  margin-bottom: 1rem;
}

/* ======== BOTÕES ======== */
.btn {
  font-family: 'Montserrat', sans-serif;
  font-weight: 600;
  text-transform: uppercase;
  letter-spacing: 0.5px;
}

/* ======== CARDS E TABELAS ======== */
.card,
.table {
  font-family: 'Montserrat', sans-serif;
  font-weight: 400;
}

/* ======== RESPONSIVO EXTRA ======== */
@media (max-width: 576px) {
  h1, h2 {
    font-size: 1.5rem;
  }

  
  .btn {
    font-size: 0.9rem;
  }
}

.h1, h1 {
        font-size: 3rem;
    }
.hero-simulador {
    background-color: #0d6efd;
    min-height: 100vh;
    display: flex;
    align-items: center;
    padding: 12rem;
    background-image: url(../img/imovel2.jpg);
        background-size: cover;
}
@media (max-width: 748px) {
.hero-simulador {
    background-color: #0098db;
    min-height: 100vh;
    display: flex;
    align-items: center;
    padding: 0rem;
}
.h1, h1 {
    font-size: 2rem;
}
.h5, h5 {
    font-size: 2.25rem;
}

  }
.btn-primary {
    background: rgb(13 110 253);
    color: white;
}

  .bg-info {
    --bs-bg-opacity: 1;
    background-color: rgb(13 110 253) !important;
}


.table-responsive {
    overflow-x: auto;
    border: 1px solid #0d6efd;
    border-radius: 10px;
}

.tabela-planos thead th {
    background-color: #0d6efd;
    color: #fff;
    font-weight: bold;
}

.tabela-planos th, .tabela-planos td {
    border: 1px solid #007bff;
    vertical-align: middle;
    padding: 16px;
    font-size: 2rem;
}
.dlg {
    font-size: 3rem;
}
.dsar{
      font-size: 3rem;
      color: white;
}
    .h3, h3 {
        font-size: 2.75rem;
    }
    .icon-porto{
      width: 15rem;
    margin-top: -15rem;
    }
    .fsr{
      font-size: 2.8rem;
    }
    .gbn{
          padding: 4rem !important;
    }
    .bg-info {
    --bs-bg-opacity: 1;
    background-color: rgb(255 255 255) !important;
    color: #0d6efd !important;
    font-weight: 800;
}

/* ===== Hover na TABELA DESKTOP ===== */
.tabela-planos tbody tr:hover {
  background-color: #f1f9ff;
  cursor: pointer;
  transition: 0.3s ease;
}

.tabela-planos tbody tr:hover td {
  font-weight: 500;
  color: #0056b3;
}


.hop{
  width: 65%;
}


/* ===== BOTÃO FLUTUANTE WHATSAPP ===== */
.whatsapp-float {
    position: fixed;
    bottom: 19px;
    right: 17px;
    z-index: 9999;
    display: flex
;
    align-items: center;
    background-color: #0859d0;
    color: #fff;
    padding: 10px 16px;
    border-radius: 30px;
    box-shadow: 0 8px 24px rgba(0, 0, 0, 0.3);
    transition: all 0.3s ease;
    overflow: hidden;
    text-decoration: none;
    font-family: 'Montserrat', sans-serif;
    padding: 7px;

}

/* ===== ÍCONE ANIMADO ===== */
.whatsapp-float .icone {
    background-color: #0d6efd;
    border-radius: 50%;
    padding: 10px;
    width: 3rem;
    height: 3rem;
    display: flex
;
    align-items: center;
    justify-content: center;
    animation: bounceRotate 2s infinite ease-in-out;
}

.whatsapp-float i {
  font-size: 24px;
  color: #fff;
}

/* ===== TEXTO ESCONDIDO COM TRANSIÇÃO ===== */
.whatsapp-float .texto {
  white-space: nowrap;
  max-width: 0;
  overflow: hidden;
  opacity: 0;
  margin-left: 10px;
  transition: all 0.4s ease;
  font-weight: 600;
}

/* ===== AO PASSAR O MOUSE MOSTRA TEXTO ===== */
.whatsapp-float:hover .texto {
  max-width: 300px;
  opacity: 1;
}

/* ===== ANIMAÇÃO PULANDO E GIRANDO ===== */
@keyframes bounceRotate {
  0% {
    transform: scale(1) rotate(0deg);
  }
  30% {
    transform: scale(1.2) rotate(20deg) translateY(-5px);
  }
  60% {
    transform: scale(1) rotate(-10deg) translateY(0px);
  }
  100% {
    transform: scale(1) rotate(0deg);
  }
}


/* ===== Hover nos CARDS MOBILE ===== */
@media (max-width: 767.98px) {
  .melhores-planos .card {
    transition: transform 0.3s ease, box-shadow 0.3s ease;
  }
  .hop{
  width: 100%;
}


  .melhores-planos .card:hover {
    transform: translateY(-5px);
    box-shadow: 0 8px 20px rgba(0, 0, 0, 0.15);
    cursor: auto;
  }
  .icon-porto {
    width: 6rem;
    margin-top: -3rem;
}
.fsr {
    font-size: 2.2rem;
}
.gbn {
    padding: 2rem !important;
}
.dlg {
    font-size: 1.5rem;
}
}

.icone-pulsando {
    background-color: #0098db;
    color: #fff;
    padding: 16px;
    border-radius: 50%;
    display: inline-flex
;
    justify-content: center;
    align-items: center;
    animation: pulsar 1.5s infinite;
    font-size: 2rem;
    transition: 0.3s;
    height: 4rem;
    width: 4rem;
    margin-left: 37%;
}

/* Animação pulsante */
@keyframes pulsar {
  0% {
    transform: scale(1);
    box-shadow: 0 0 0 0 rgba(0, 152, 219, 0.7);
  }
  70% {
    transform: scale(1.1);
    box-shadow: 0 0 0 15px rgba(0, 152, 219, 0);
  }
  100% {
    transform: scale(1);
    box-shadow: 0 0 0 0 rgba(0, 152, 219, 0);
  }
}

/* EFEITO NO ÍCONE WHATSAPP */
.icone-whatsapp-hover {
  display: inline-block;
  transition: transform 0.6s;
}

.icone-whatsapp-hover:hover {
  animation: flipDown 0.6s ease;
}

@keyframes flipDown {
  0% {
    transform: rotateX(0deg);
  }
  50% {
    transform: rotateX(180deg) translateY(-5px);
  }
  100% {
    transform: rotateX(360deg);
  }
}

/* EFEITO NO BOTÃO */
.btn-whatsapp {
  transition: transform 0.3s ease, box-shadow 0.3s ease;
}

.btn-whatsapp:hover {
  transform: scale(1.05);
  box-shadow: 0 6px 16px rgba(25, 131, 253, 0.3);
}

.bg-dark {
    --bs-bg-opacity: 1;
    background-color: rgb(13 110 253) !important;
}

.lko{
  background-image: url(../img/imovel3.jpg);
}
.py-5 {
    padding-top: 5rem !important;
    padding-bottom: 5rem !important;
}

footer a:hover {
  color: #0dcaf0;
}

footer iframe {
  border-radius: 12px;
}


footer a {
  transition: color 0.3s ease;
}

footer a:hover {
  color: #0dcaf0;
}

footer i {
  color: #0dcaf0;
}


/* Estilo base dos botões */
.toggle-opcao {
  background-color: #fff;
  color: #1983fd;
  border: 1px solid #1983fd;
  font-weight: 600;
  transition: 0.3s;
  border-radius: 30px !important;
}

/* Estilo ativo (quando está selecionado) */
.btn-check:checked + .toggle-opcao {
  background-color: #1983fd;
  color: #fff;
  border-color: #1983fd;
}



.whatsapp-float {
    background-color: #1d9e4c!important;
}

.whatsapp-float .icone {
    background-color: #25d366!important;

}

.whatsapp-float .texto {
    font-size: 1.3rem!important;
}
.whatsapp-float i {
    font-size: 55px;
    color: #fff;
}
.whatsapp-float .icone {
    background-color: #0d6efd;
    border-radius: 50%;
    padding: 10px;
    width: 5rem;
    height: 5rem;
    display: flex
;
    align-items: center;
    justify-content: center;
    animation: bounceRotate 2s infinite ease-in-out;
}